Bug 665872 - [abrt] exaile-0.3.2.0-2.fc14: guiutil.py:459:get_drag_data:AttributeError: 'NoneType' object has no attribute 'get_tracks'
Summary: [abrt] exaile-0.3.2.0-2.fc14: guiutil.py:459:get_drag_data:AttributeError: 'N...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1bad0025
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 16:12 UTC by Gajdos Tamás
Modified: 2011-03-28 19:34 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:34:06 UTC


Attachments (Terms of Use)
File: backtrace (802 bytes, text/plain)
2010-12-27 16:12 UTC, Gajdos Tamás
no flags Details

Description Gajdos Tamás 2010-12-27 16:12:13 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui /home/sziu/Downloads/online.pls
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.6-48.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: guiutil.py:459:get_drag_data:AttributeError: 'NoneType' object has no attribute 'get_tracks'
release: Fedora release 14 (Laughlin)
time: 1293466219
uid: 500

backtrace
-----
guiutil.py:459:get_drag_data:AttributeError: 'NoneType' object has no attribute 'get_tracks'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/playlist.py", line 748, in drag_data_received
    (trs, playlists) = self.list.get_drag_data(locs)
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/guiutil.py", line 459, in get_drag_data
    for track in playlist.get_tracks():
AttributeError: 'NoneType' object has no attribute 'get_tracks'

Local variables in innermost frame:
compile_tracks: True
loc: 'file:///home/sziu/Downloads/online.pls'
playlist: None
playlists: [None]
locs: ['file:///home/sziu/Downloads/online.pls']
self: <DragTreeView object at 0xabbbf04 (GtkTreeView at 0xab0b398)>
existing_tracks: []
found_tracks: []
trs: []
found_playlist: [None]

How to reproduce
-----
1. Grab a file in PCManFM 0.9.9
2. Drag and drop into Exaile
3. Fedora14+LXDE

Comment 1 Gajdos Tamás 2010-12-27 16:12:15 UTC
Created attachment 470858 [details]
File: backtrace

Comment 2 Gajdos Tamás 2011-01-26 23:52:44 UTC
Package: exaile-0.3.2.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Suddenly crashed. I was trying to import internet radio streams from a pls playlist, via opening it.
2.
3.

Comment 3 Fedora Update System 2011-03-04 15:41:30 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:46:35 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 5 Fedora Update System 2011-03-28 19:31:29 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.